package com.sky.ioc.service.job;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sky.ioc.entity.QuartzJob;
import com.sky.ioc.tool.ReturnMsg;
import org.quartz.SchedulerException;

public interface IQuartzJobService extends IService<QuartzJob> {

    boolean saveAndScheduleJob(QuartzJob quartzJob);

    boolean editAndScheduleJob(QuartzJob quartzJob) throws SchedulerException;

    boolean deleteAndStopJob(QuartzJob quartzJob);

    boolean resumeJob(QuartzJob quartzJob);

    void test(String param);

    ReturnMsg pageList(String name,Integer group,Integer status,Integer pageStart,Integer pageSize);
}
